import type { ESLintExtendedProgram, ESLintProgram } from ".";
/**
 * The interface of a result of ESLint custom parser.
 */
export declare type ESLintCustomParserResult = ESLintProgram | ESLintExtendedProgram;
/**
 * The interface of ESLint custom parsers.
 */
export interface ESLintCustomParser {
    parse(code: string, options: any): ESLintCustomParserResult;
    parseForESLint?(code: string, options: any): ESLintCustomParserResult;
}
/**
 * Load `espree` from the loaded ESLint.
 * If the loaded ESLint was not found, just returns `require("espree")`.
 */
export declare function getEspree(): ESLintCustomParser;
